customer.address.create
Add an address to the caller’s own address book (session-scoped; never by parameter).
- Scope:
customer.self.write - System: no
- Reachable from:
POST /v1/commands/customer.address.create(tenant credential) · MCP toolcustomer.address.create· SDKclient.call('customer.address.create', …) - Events:
customer.updated
Input (JSON Schema)
Section titled “Input (JSON Schema)”{ "properties": { "city": { "minLength": 1, "type": "string" }, "country_code": { "minLength": 1, "type": "string" }, "is_default": { "type": "boolean" }, "label": { "type": "string" }, "line1": { "minLength": 1, "type": "string" }, "line2": { "type": "string" }, "neighborhood": { "type": "string" }, "number": { "type": "string" }, "postal_code": { "minLength": 1, "type": "string" }, "recipient": { "type": "string" }, "region": { "minLength": 1, "type": "string" } }, "required": [ "line1", "city", "region", "postal_code", "country_code" ], "type": "object"}Result (200)
Section titled “Result (200)”{ "additionalProperties": false, "properties": { "address_id": { "type": "string" } }, "required": [ "address_id" ], "type": "object"}Errors
Section titled “Errors”validation_failed (400) · unauthorized (401) · forbidden (403) · conflict (409) · internal (500)